//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "BarcodeReport.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "BARCODELib_OCX"
#pragma resource "*.dfm"
TForm2 *Form2;
//---------------------------------------------------------------------------
__fastcall TForm2::TForm2(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm2::DetailBand1BeforePrint(TQRCustomBand *Sender,
      bool &PrintBand)
{
        long bwidth, bheight;
        int borientation;

        borientation = 0;

        MW6Barcode1->SymbologyType = 4;
        MW6Barcode1->NarrowBarWidth = 0.07;
        MW6Barcode1->BarHeight = 2.0;
        MW6Barcode1->ShowText = true;
        MW6Barcode1->Orientation = borientation;
        MW6Barcode1->Data = Table1->FieldByName(QRDBText1->Caption)->AsString;

        // Lock the canvas
        QRImage1->Canvas->Lock();

        QRImage1->Canvas->FloodFill(0, 0, clWhite, fsBorder);

        bwidth = 0;
        bheight = 0;
        // Get the barcode width and height
        MW6Barcode1->GetActualSize(true, 0, &bwidth, &bheight);

        if ((borientation == 0) || (borientation == 2))
        {
                MW6Barcode1->SetSize(bwidth + 30, bheight + 40);
                QRImage1->Width = bwidth + 30;
                QRImage1->Height = bheight + 40;
        }
        else
        {
                MW6Barcode1->SetSize(bheight + 30, bwidth + 40);
                QRImage1->Width = bheight + 30;
                QRImage1->Height = bwidth + 40;
        }

        // Render the barcode onto the image control
        MW6Barcode1->Render((long)QRImage1->Canvas->Handle, 0, 0);

        // Unlock the canvas
        QRImage1->Canvas->Unlock();
}
//---------------------------------------------------------------------------
